List Field Configurations
curl --request GET \
--url https://api.attention.tech/v2/field-configurations \
--header 'Authorization: <api-key>'import requests
url = "https://api.attention.tech/v2/field-configurations"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.attention.tech/v2/field-configurations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"uuid": "b9e1c0a0-5a3d-4a9c-9b1e-2d6f4b7a1c11",
"name": "Enterprise Discovery Questions",
"organizationUUID": "16b78cec-82ef-46d2-8213-5d3bb7d2571c",
"teamsUUID": [
"fe515723-fe2e-4959-a5fa-c4d3937fe7e4"
],
"allTeams": false
}
],
"meta": {
"totalRecords": 1,
"pageNumber": 1,
"pageSize": 50,
"pageCount": 1
}
}{
"id": "not_found_error",
"status": "404",
"code": "404",
"title": "Not Found Error",
"detail": "The requested resource was not found",
"source": {
"pointer": "/data/attributes/id"
}
}{
"id": "not_found_error",
"status": "404",
"code": "404",
"title": "Not Found Error",
"detail": "The requested resource was not found",
"source": {
"pointer": "/data/attributes/id"
}
}{
"id": "not_found_error",
"status": "404",
"code": "404",
"title": "Not Found Error",
"detail": "The requested resource was not found",
"source": {
"pointer": "/data/attributes/id"
}
}Field Configuration
List Field Configurations
Returns a paginated list of field configurations owned by the authenticated organization.
GET
/
field-configurations
List Field Configurations
Authorizations
Query Parameters
1-indexed page number. Defaults to 1.
Page size. Defaults to 50; maximum 200.
Response
Field configurations successfully retrieved.
Was this page helpful?
⌘I